%global        pypi_name terminaltables
Summary:       Generate tables in terminals from list of strings
Name:          python-terminaltables
Version:       3.1.10
Release:    1%{?dist}
License:       MIT
URL:           https://github.com/matthewdeanmartin/terminaltables
Source0:       https://github.com/matthewdeanmartin/terminaltables/archive/v%{version}.tar.gz
Patch0:        python-terminaltables-reqs.patch
Patch1:        python-terminaltables-poetry-core.patch
BuildArch:     noarch
BuildRequires: python3-devel
BuildRequires: pyproject-rpm-macros
%global _description \
Easily draw tables in terminal/console applications (written in\
Python) from a list of lists of strings. Supports multi-line rows.
%description %_description

%package     -n python3-terminaltables
Summary:        %summary
%description -n python3-terminaltables %_description

%prep
%autosetup -n terminaltables-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%tox || :

%files -n python3-terminaltables -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md CONTRIBUTING.md README.md

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.10-1
- initial build
